ghc-7.6.3: The GHC API

Safe Haskell | None

ByteCodeItbls

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)

newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: ItblPtr -> Ptr ()

mkITbls :: [TyCon] -> IO ItblEnv

data StgInfoTable

Constructors

StgInfoTable |
Fields ptrs :: HalfWord nptrs :: HalfWord tipe :: HalfWord srtlen :: HalfWord code :: [ItblCode]

Instances

Storable StgInfoTable |

newtype State s m a

Constructors

State (s -> m (s, a)) |

Instances

Monad m => MonadT (State s) m |
Monad m => Monad (State s m) |

runState :: Monad m => s -> State s m a -> m (s, a)

evalState :: Monad m => s -> State s m a -> m a

execState :: Monad m => s -> State s m a -> m s

class (Monad m, Monad (t m)) => MonadT t m where

Methods

lift :: m a -> t m a

Instances

Monad m => MonadT (State s) m |